package com.ffii.core.common.file.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.ffii.core.entity.BaseEntity;

/** @author Fung */
@Entity
@Table(name = "file")
public class File extends BaseEntity<Integer> {

  @NotBlank
  @Column
  private String skey;

  @NotBlank
  @Column
  private String filename;

  @NotBlank
  @Column
  private String extension;

  @NotBlank
  @Column
  private String mimetype;

  @NotNull
  @Column
  private Long filesize;

  @Column
  private String remarks;

  public String getSkey() {
    return this.skey;
  }

  public void setSkey(String skey) {
    this.skey = skey;
  }

  public String getFilename() {
    return this.filename;
  }

  public void setFilename(String filename) {
    this.filename = filename;
  }

  public String getExtension() {
    return this.extension;
  }

  public void setExtension(String extension) {
    this.extension = extension;
  }

  public String getMimetype() {
    return this.mimetype;
  }

  public void setMimetype(String mimetype) {
    this.mimetype = mimetype;
  }

  public Long getFilesize() {
    return this.filesize;
  }

  public void setFilesize(Long filesize) {
    this.filesize = filesize;
  }

  public String getRemarks() {
    return this.remarks;
  }

  public void setRemarks(String remarks) {
    this.remarks = remarks;
  }

}
